<div nz-row>
  <div nz-col nzSpan="3">
    <button
      nz-button
      nzSize="small"
      nzShape="round"
      style="margin-top: 11px; margin-left: 15px"
      [routerLink]="['/mini-game/checkers']"
    >
      Go back
    </button>
  </div>
  <div nz-col nzSpan="21">
    <h1>Checkers</h1>
  </div>
</div>
<nz-divider></nz-divider>

<div
  nz-row
  nzJustify="center"
  nzGutter="24"
  style="text-align: center"
  *ngIf="game"
>
  <div nz-col nzSpan="8">Your opponent: {{ opponent.name }}</div>
  <div nz-col nzSpan="8" *ngIf="!game?.winner">
    Selecting: {{ selecting?.name }}
    <i
      *ngIf="selecting?.id === game.createdBy?.id"
      class="fas fa-circle fa-1x"
      style="color: rgb(27, 27, 27)"
    ></i>
    <i
      *ngIf="selecting?.id === game.user?.id"
      class="fas fa-circle fa-1x"
      style="color: rgb(248, 247, 247)"
    ></i>
  </div>
  <div nz-col nzSpan="8" *ngIf="game.winner">
    Winner:
    <nz-tag [nzColor]="'green'" *ngIf="game.winner.id === currentEntityId">{{
      game?.winner?.name
    }}</nz-tag>
    <nz-tag
      [nzColor]="'red'"
      *ngIf="
        game.winner.id !== currentEntityId &&
        game.winner.id !== '00000000-0000-0000-0000-000000000000'
      "
      >{{ game?.winner?.name }}</nz-tag
    >
    <nz-tag
      [nzColor]="'orange'"
      *ngIf="
        game.winner && game.winner.id === '00000000-0000-0000-0000-000000000000'
      "
      >Draw</nz-tag
    >
  </div>
</div>

<nz-divider></nz-divider>
<div
  *ngIf="game"
  style="margin-bottom: 20px; padding: 5px; background-color: #bd5902"
>
  <div nz-row nzGutter="0" *ngFor="let row of game.payload.Grid.Rows">
    <div
      nz-col
      nzSpan="3"
      *ngFor="let col of row.Cols"
      style="text-align: center; margin-top: 0px; width: 100px"
      id="checker-grid"
    >
      <nz-card
        style="height: 91px"
        [style.backgroundColor]="!col.IsDisabled ? '#71361A' : '#D9B469'"
        [nzHoverable]="!col.IsDisabled"
      >
        <!-- {{ row.Index }} - {{ col.Index }} -->
        <div *ngIf="col.UserId !== null">
          <div
            class="draggable"
            dndDraggable="{{ row.Index }}-{{ col.Index }}"
            [dndEffectAllowed]="draggable.effectAllowed"
            [dndDisableIf]="draggable.disable"
            (dndStart)="onDragStart(row.Index, col.Index)"
            (dndCanceled)="onDragCanceled($event)"
            (click)="onDragStart(row.Index, col.Index)"
          >
            <i
              dndHandle
              *ngIf="col.UserId === game.createdBy?.id"
              class="fas fa-circle fa-4x"
              style="color: rgb(27, 27, 27)"
            ></i>
            <i
              dndHandle
              *ngIf="col.UserId === game.user?.id"
              class="fas fa-circle fa-4x"
              style="color: rgb(248, 247, 247)"
            ></i>
          </div>
        </div>

        <section
          *ngIf="
            col.IsDisabled === false && col.UserId === null && dragInProgress
          "
          (click)="onDrop(row.Index, col.Index)"
          class="dropzone"
          dndDropzone
          (dndDrop)="onDrop(row.Index, col.Index)"
        ></section>
      </nz-card>
    </div>
  </div>
</div>
